Which version of the ruby plugin is the latest one which is compatible with IDEA 9 ?

There are several Ruby plugin versions starting with 2.5.

2.5.17036. 98. 99. Download 15346.66. 2010-11-09 16:56:30 com.intellij.spellchecker, com.intellij.modules.ultimate, org.jetbrains.plugins.yaml.
2.5.17283. 98. 99. Download 15351.93. 2010-10-22 12:55:13 org.jetbrains.plugins.yaml, com.intellij.modules.ultimate, com.intellij.spellchecker.
2.5.13234. 95.429. 96. Download 15012.71. 2010-09-08 16:11:42 com.intellij.modules.ultimate, com.intellij.spellchecker, org.jetbrains.plugins.yaml.
2.5.16176.


But IDEA 9.0 wants to update to 3.0 with no success.

Which version of the ruby plugin is the latest one which is compatible with IDEA 9 ?

3 comments
Comment actions Permalink

Hello Martin,

2.5.17036 is the latest plugin compatible with IDEA 9.

Regards,
Oleg

0
Comment actions Permalink

Hi Oleg,

it seems 2.5.17036 is not compatible with 9.0.4.

I manually copied 2.5.17036 to my plugins folder as the update was not working in the plugin manager. But the plugin manager shows the ruby plugin in red and its deactivated. Activating is not working.

As a last resort I changed the plugin.xml to <idea-version since-build="95.0" until-build="99.0"/> . I could finally activate the plugin but IDEA threw the following exception and was stuck:

java.lang.IncompatibleClassChangeError: class org.jetbrains.plugins.ruby.ruby.run.RubyCommandLineArgumentsProvider has interface com.intellij.execution.process.CommandLineArgumentsProvider as super class
 at java.lang.ClassLoader.defineClass1(Native Method)
 at java.lang.ClassLoader.defineClass(ClassLoader.java:616)
 at java.lang.ClassLoader.defineClass(ClassLoader.java:462)
 at com.intellij.util.lang.UrlClassLoader._defineClass(UrlClassLoader.java:119)
 at com.intellij.util.lang.UrlClassLoader.defineClass(UrlClassLoader.java:115)
 at com.intellij.util.lang.UrlClassLoader._findClass(UrlClassLoader.java:91)
 at com.intellij.ide.plugins.cl.PluginClassLoader.loadClassInsideSelf(PluginClassLoader.java:94)
 at com.intellij.ide.plugins.cl.PluginClassLoader.loadClass(PluginClassLoader.java:57)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:248)
 at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:316)
 at org.jetbrains.plugins.ruby.rails.projectView.v2.RailsProjectViewPane.isInitiallyVisible(RailsProjectViewPane.java:96)
 at com.intellij.ide.projectView.impl.ProjectViewImpl.c(ProjectViewImpl.java:548)
 at com.intellij.ide.projectView.impl.ProjectViewImpl.setupImpl(ProjectViewImpl.java:528)
 at com.intellij.ide.projectView.impl.ProjectViewImpl.setupImpl(ProjectViewImpl.java:443)
 at com.intellij.ide.projectView.impl.ProjectViewToolWindowFactory.createToolWindowContent(ProjectViewToolWindowFactory.java:30)
 at com.intellij.openapi.wm.impl.ToolWindowImpl.ensureContentInitialized(ToolWindowImpl.java:380)
 at com.intellij.openapi.wm.impl.ToolWindowManagerImpl$4$1.run(ToolWindowManagerImpl.java:263)
 at com.intellij.openapi.application.impl.LaterInvocator$FlushQueue.run(LaterInvocator.java:319)
 at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
 at java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
 at com.intellij.ide.IdeEventQueue.f(IdeEventQueue.java:627)
 at com.intellij.ide.IdeEventQueue._dispatchEvent(IdeEventQueue.java:508)
 at com.intellij.ide.IdeEventQueue.b(IdeEventQueue.java:405)
 at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:369)
 at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
 at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
 at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
 at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
 at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
 at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)



Regards,
Martin
0
Comment actions Permalink

Hello Martin,

We've just rechecked it and here is an issue: RUBY-7454 Plugin 2.5.17036 incompatible with IDEA 9.0.4.

Regards,
Oleg

0

Please sign in to leave a comment.